import React from 'react';
import { Form, Icon, Input, Button, DatePicker, Select } from 'antd';
import Styles from './style.less';

const { Option } = Select;

// 校验错误
function hasErrors(fieldsError) {
  return Object.keys(fieldsError).some(field => fieldsError[field]);
}

// 提交事件
function handleSubmit(e, props) {
  e.preventDefault();
}

// Change 事件
function handleSelectChange(props) {}

// 搜索
function header(props) {
  return (
    <Form layout="inline" onSubmit={e => handleSubmit(e, props)}>
      <Form.Item>
        {
          <Input
            prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
            placeholder="楼盘编号"
          />
        }
      </Form.Item>
      <Form.Item>
        {
          <Input
            prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
            type="password"
            placeholder="楼盘名称"
          />
        }
      </Form.Item>
      <Form.Item>{<DatePicker placeholder="开盘时间" />}</Form.Item>
      <Form.Item>
        {
          <Select style={{ width: '180px' }} placeholder="楼盘状态" onChange={handleSelectChange}>
            <Option value="1">发布</Option>
            <Option value="0">未发布</Option>
          </Select>
        }
      </Form.Item>
      <Form.Item>
        {
          <Select style={{ width: '180px' }} placeholder="销售状态" onChange={handleSelectChange}>
            <Option value="1">已销售</Option>
            <Option value="0">未销售</Option>
          </Select>
        }
      </Form.Item>
      <Form.Item>
        {
          <Select style={{ width: '180px' }} placeholder="城市" onChange={handleSelectChange}>
            <Option value="male">male</Option>
            <Option value="female">female</Option>
          </Select>
        }
      </Form.Item>
      <Form.Item>
        {
          <Select style={{ width: '180px' }} placeholder="首页推荐" onChange={handleSelectChange}>
            <Option value="1">首页推荐</Option>
            <Option value="0">首页未推荐</Option>
          </Select>
        }
      </Form.Item>
      <Form.Item>
        <Button type="primary" htmlType="submit" className={Styles.SubmitButton}>
          搜索
        </Button>
      </Form.Item>
    </Form>
  );
}

const WrappedHorizontalLoginForm = Form.create({ name: 'horizontal_login' })(header);

export default WrappedHorizontalLoginForm;
